package common

const (
	TOKEN_PRE   = "player_token_"
	TOKEN_Admin = "Admin_token_"
	ADMIN_V1    = "/pay/admin/api/v1"
	FRONT_V1    = "/pay/front/api/v1"

	// 支付渠道枚举,1微信JSAPI，2微信H5，3微信app，4微信Native，5微信小程序，6支付宝网页&移动应用，7支付宝小程序，8支付宝JSAPI
	PAY_CHANNEL_UNKNOWN       = 0
	PAY_CHANNEL_WECHAT_JSAPI  = 1
	PAY_CHANNEL_WECHAT_H5     = 2
	PAY_CHANNEL_WECHAT_APP    = 3
	PAY_CHANNEL_WECHAT_NATIVE = 4
	PAY_CHANNEL_WECHAT_MINI   = 5
	PAY_CHANNEL_ALIPAY_WEB    = 6
	PAY_CHANNEL_ALIPAY_MINI   = 7
	PAY_CHANNEL_ALIPAY_JSAPI  = 8

	// 统一登陆信息
	ADMIN_USER_ID           = "User-Id"
	ADMIN_USER_NAME         = "User-Name"
	ADMIN_USER_INCLUDEUSERS = "Include-Users"

	// '订单状态，1待支付、2支付中、3支付成功、4支付失败、5订单关闭',
	ORDER_STATUS_WAITPAY = 1
	ORDER_STATUS_PAYING  = 2
	ORDER_STATUS_PAYED   = 3
	ORDER_STATUS_FAILED  = 4
	ORDER_STATUS_CLOSE   = 5

	PAY_CHANNLE_TYPE_WECHAT = 1 //	支付类型： 微信
	PAY_CHANNLE_TYPE_ZFB    = 2 //	支付类型：支付宝
)
